Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class LinkElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.LinkElement

    public class LinkElement

extends Element

The LINK element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa).

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `LinkElement()`

Method Summary
`static LinkElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`boolean` | `getDisabled()` Enables/disables the link.
`java.lang.String` | `getHref()` The URI of the linked resource.
`java.lang.String` | `getHreflang()` Language code of the linked resource.
`java.lang.String` | `getMedia()` Designed for use with one or more target media.
`java.lang.String` | `getRel()` Forward link type.
`java.lang.String` | `getTarget()` Frame to render the resource in.
`java.lang.String` | `getType()` Advisory content type.
`void` | `setDisabled(boolean disabled)` Enables/disables the link.
`void` | `setHref(java.lang.String href)` The URI of the linked resource.
`void` | `setHreflang(java.lang.String hreflang)` Language code of the linked resource.
`void` | `setMedia(java.lang.String media)` Designed for use with one or more target media.
`void` | `setRel(java.lang.String rel)` Forward link type.
`void` | `setTarget(java.lang.String target)` Frame to render the resource in.
`void` | `setType(java.lang.String type)` Advisory content type.

Methods inherited from class com.google.gwt.dom.client.Element
`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkElement

    protected LinkElement()

Method Detail

### as

    public static LinkElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getDisabled

    public final boolean getDisabled()

  Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

### getHref

    public final java.lang.String getHref()

  The URI of the linked resource.

  See Also:
    W3C HTML Specification

### getHreflang

    public final java.lang.String getHreflang()

  Language code of the linked resource.

  See Also:
    W3C HTML Specification

### getMedia

    public final java.lang.String getMedia()

  Designed for use with one or more target media.

  See Also:
    W3C HTML Specification

### getRel

    public final java.lang.String getRel()

  Forward link type.

  See Also:
    W3C HTML Specification

### getTarget

    public final java.lang.String getTarget()

  Frame to render the resource in.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  Advisory content type.

  See Also:
    W3C HTML Specification

### setDisabled

    public final void setDisabled(boolean disabled)

  Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets.

### setHref

    public final void setHref(java.lang.String href)

  The URI of the linked resource.

  See Also:
    W3C HTML Specification

### setHreflang

    public final void setHreflang(java.lang.String hreflang)

  Language code of the linked resource.

  See Also:
    W3C HTML Specification

### setMedia

    public final void setMedia(java.lang.String media)

  Designed for use with one or more target media.

  See Also:
    W3C HTML Specification

### setRel

    public final void setRel(java.lang.String rel)

  Forward link type.

  See Also:
    W3C HTML Specification

### setTarget

    public final void setTarget(java.lang.String target)

  Frame to render the resource in.

  See Also:
    W3C HTML Specification

### setType

    public final void setType(java.lang.String type)

  Advisory content type.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD